<?php
require_once('..' . DIRECTORY_SEPARATOR . '..'.DIRECTORY_SEPARATOR . 'config.batch.php');

//----------------- RR -----------------------------------------------------------
class TestBatch extends Batch
{
    //--------------------------------------------------------------------------
    //--    ֐F                                                  --
    //--    MethodF rm_Initialize()                                          --
    //--------------------------------------------------------------------------
    //--  MODIFIED        YYYY-MM-DD REV    - NOTES                           --
    //--  NEOJAPAN        2005-12-02 1.00   - CREATE NEW                      --
    //--------------------------------------------------------------------------
    /**
     * B
     *
     * @param  object  &$db        [I/O]:DBIuWFNg
     * @param  object  &$logger    [I/O]:OIuWFNg
     * @param  bool    Ƃtrue
     */
    function rm_Initialize(&$db, &$logger)
    {
        return true;
    }

    //--------------------------------------------------------------------------
    //--    ֐F 菈                                                 --
    //--    MethodF rm_Validate()                                            --
    //--------------------------------------------------------------------------
    //--  MODIFIED        YYYY-MM-DD REV    - NOTES                           --
    //--  NEOJAPAN        2005-12-02 1.00   - CREATE NEW                      --
    //--------------------------------------------------------------------------
    /**
     * B
     *
     * @param  object  &$db        [I/O]:DBIuWFNg
     * @param  object  &$logger    [I/O]:OIuWFNg
     * @param  bool    ƂĂƂtrueAsȒlƂfalse
     */
    function rm_Validate(&$db, &$logger)
    {
        if (count($_SERVER['argv']) < 2)
        {
            $logger->error('few arguments.'
                          ,__CLASS__, __FUNCTION__, __FILE__, __LINE__);
            return false;
        }

        return true;
    }

    //--------------------------------------------------------------------------
    //--    ֐F又                                                    --
    //--    MethodF rm_Execute()                                             --
    //--------------------------------------------------------------------------
    //--  MODIFIED        YYYY-MM-DD REV    - NOTES                           --
    //--  NEOJAPAN        2005-12-02 1.00   - CREATE NEW                      --
    //--------------------------------------------------------------------------
    /**
     * 又B
     *
     * @param  object  &$db        [I/O]:DBIuWFNg
     * @param  object  &$logger    [I/O]:OIuWFNg
     * @param  bool    Ƃtrue
     */
    function rm_Execute(&$db, &$logger)
    {
        $sql = 'SELECT user_nm FROM ' . TBL_USER_MST . ' WHERE user_id=' . $db->qstr($_SERVER['argv'][1]);
        $name = $db->GetOne($sql);
        if ($name === false)
        {
            $logger->error('no user:' . $sql
                          ,__CLASS__, __FUNCTION__, __FILE__, __LINE__);
            return false;
        }

        $logger->info('user name is ' . $name . '.'
                     ,__CLASS__, __FUNCTION__, __FILE__, __LINE__);

        return true;
    }
}

$obj = new TestBatch();
$obj->bm_Activate('Test');
?>