<?php
require_once(ADODB_DIR . 'adodb.inc.php');

/**
 * error_logؿѤ
 * ADODB_LOG_DESTADODB_LOG_TYPEƤ
 * Ľ񤭹Τ߽Ϥ롣
 * ᥽åǥ顼ä硢̵˽λ롣
 * ADODB_LOG_TYPEˤĤƤerror_logؿ򻲾ȡ
 * @param    $msg           String              顼å
 * @param    $newline       boolean             ̵ͭʼ¼̵
 */
function ADODBConnectionFilter_OutputErrorLog($msg, $newline=true)
{
    if (defined('ADODB_LOG_DEST') && defined('ADODB_LOG_TYPE')) {
        error_log(strftime("[%Y/%m/%d %H:%M:%S]")
                    .' (' . session_id() . ') '
                    .'"'. $_SERVER['REQUEST_URI']. '" '
                    .'"'. preg_replace('/\s+/', ' ', var_export($_POST, TRUE)). '" '
                    .preg_replace('/\s+/', ' ', _ADODBConnectionFilter_unhtmlentities(strip_tags($msg)))
                    ."\n"
                , ADODB_LOG_TYPE
                , ADODB_LOG_DEST);
    }
}

/**
 * trigger_errorؿѤ
 * MojaviΥǽ礷ƽϤ뤳ȤŪ
 * ADODB_TRIGGER_ERROR_TYPEꤵƤ硢Υ顼٥ǥ顼򤢤롣
 * ̵ξE_USER_NOTICEǤ롣
 * @param    $msg           String              顼å
 * @param    $newline       boolean             ̵ͭʼ¼̵
 */
function ADODBConnectionFilter_OutputTriggerError($msg, $newline=true)
{
    $msg = preg_replace('/\s+/', ' ', _ADODBConnectionFilter_unhtmlentities(strip_tags($msg)));
    if (defined('ADODB_TRIGGER_ERROR_TYPE') ) {
        trigger_error($msg, ADODB_TRIGGER_ERROR_TYPE);
    }else{
        trigger_error($msg, E_USER_NOTICE);
    }
}

function _ADODBConnectionFilter_unhtmlentities($string)
{
    $trans_tbl = get_html_translation_table(HTML_ENTITIES);
    // &nbsp;A0ˤʤäƤޤΤǸб
    unset($trans_tbl[' ']);
    $trans_tbl = array_flip ($trans_tbl);
    $trans_tbl['&nbsp;'] = ' ';
    return strtr ($string, $trans_tbl);
}

/**
 * DB³ΤΥե륿
 * 
 * @access public
 */
class ADODBConnectionFilter extends Filter {
    /**
     * DB³¹Ԥ롣
     * 
     * @param FilterChain  &$filterChain [I/O]:mojavi Filter Chain
     * @param Controler    &$controller  [I/O]:mojavi Controler
     * @param Request      &$request     [I/O]:mojavi Request
     * @param User         &$user        [I/O]:mojavi User
     */
    function execute (&$filterChain, &$controller, &$request, &$user) {
        if (!$request->hasAttribute('jp.co.neo.filter.ADODBConnectionFilter')) {
            /// @see    requestؤ°¸
            ///         - jp.co.neo.filter.ADODBConnectionFilter
            ///         - boolean
            ///         - DBե饰
            ///         - ٤Ʊ򤷤ʤΥե饰
            $request->setAttribute('jp.co.neo.filter.ADODBConnectionFilter', TRUE);

            //ADOdb
            $GLOBALS["ADODB_CACHE_DIR"] = ADODB_CACHE_DIR;
            
            $DB = NewADOConnection(SQL_TYPE);
            $DB->debug = ADODB_DEBUG;    //ǥХå
            $DB->cacheSecs = ADODB_CACHE_SECS; //åͭ

            //³
            if( defined('SQL_PORT') ){
                $ok = $DB->Connect(SQL_SERVER.':'.SQL_PORT, SQL_USER , SQL_PASSWORD, SQL_DATABASE);
            }else{
                $ok = $DB->Connect(SQL_SERVER, SQL_USER , SQL_PASSWORD, SQL_DATABASE);
            }

            if($ok === null) {
                //ĥɤޤƤʤ硢
                $request->setError('DB', 'Database Extention('.SQL_TYPE.') not load.');
                // Ƥforwardʤ
                if( get_class($this) === 'ADODBConnectionFilter' ){
                    $controller->forward(ERROR_MODULE, ERROR_ACTION);
                }
                return FALSE;
            }else if($ok === false) {
                //顼ȯ硢
                $request->setError('DB', 'Connection error to server.(DB)');
                // Ƥforwardʤ
                if( get_class($this) === 'ADODBConnectionFilter' ){
                    $controller->forward(ERROR_MODULE, ERROR_ACTION);
                }
                return FALSE;
            }

            /// @see    requestؤ°¸
            ///         - DB
            ///         - ADOConnection
            ///         - DB³
            $request->setAttribute('DB', $DB);

            // λClose¹Ԥ褦Ͽ
            // å򤳤³Ʊ³¸Ƥ
            // Υ륿ߥ󥰤ǤꤢȤ
            // åSQLʸȯԤ뤿˴
            // å¦DBΤ
            // ϿPHPλμưǤ
            // register_shutdown_function(array(&$DB, 'Close'));
        }

        $filterChain->execute($controller, $request, $user);
    }
}
?>