// 質問認証（入力欄表示）
function chkPassQuestionOpen(qid, type)
{
    // 表示していない？
    var chkview = $(".qdataPass").css("display");

    if (chkview != "block") {

        // hiddenに値を設定
        $("#formqtmp input[name='qid']").val(qid);
        $("#formqtmp input[name='type']").val(type);

        // 値を取得
        var cookiepass = $("input[name='cookiepass']").val();

        $("#formqtmp input[name='pass']").val(cookiepass);
        $('#passchkmsg').find("span:last").remove();

        // 入力項目を表示
        $(".qdataPass").show();
    }
}

// 質問認証（入力欄非表示）
function chkPassQuestionClose()
{
    // 入力項目を表示
    $(".qdataPass").hide();
}

// 質問認証（処理）
function chkPassQuestion()
{
    // hiddenに値から取得
    qid  = $("#formqtmp input[name='qid']").val();
    aid  = "";
    type = $("#formqtmp input[name='type']").val();
    pass = $("#formqtmp input[name='pass']").val();

    // URL
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    $.ajax({
        type : "post",
        dataType : "xml",
        url: base_url,
        timeout: 30000 ,
        data: {
            "qid": qid,
            "aid": aid,
            "type": type,
            "module": "qa",
            "action": "ajax_chkpass",
            "pass": pass
        },
        success: ok_pass,
        error  : ng_pass
    });
}

// 成功
function ok_pass(data){

    // 成功失敗を取得
    var ret = $('status', data).text();
    var qid = $('qid', data).text();
    var aid = $('aid', data).text();
    var type = $('type', data).text();
    var pass = $('pass', data).text();
    if (ret == "ok") {
        if (type == "1") {
            $("#formcls_ input[name='qid']").val(qid);
            $("#formcls_ input[name='pass']").val(pass);
            $('#formcls_')[0].submit();
        }
        else if (type == "2") {
            $("#formsupple_ input[name='qid']").val(qid);
            $("#formsupple_ input[name='aid']").val(aid);
            $("#formsupple_ input[name='pass']").val(pass);
            $('#formsupple_')[0].submit();
        }
        else if (type == "3") {
            $("#formthx_ input[name='qid']").val(qid);
            $("#formthx_ input[name='aid']").val(aid);
            $("#formthx_ input[name='pass']").val(pass);
            $('#formthx_')[0].submit();
        }
        else if (type == "4") {
            $("#formdel_ input[name='qid']").val(qid);
            $("#formdel_ input[name='pass']").val(pass);
            $('#formdel_')[0].submit();
        }
    }
    else {

        var sMsg = 'パスワードが不正です。';
        $('#passchkmsg').html('<span>' + sMsg + '</span>');
    }
};

// 失敗
function ng_pass( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#product_info').append( disp_string );
};

// 質問認証（回答入力欄表示）
function chkPassAnsOpen(qid, aid, type, objClick)
{
    // 他の開いている項目を消す
    chkPassAnsClose();

    // hiddenに値を設定
    $("#formatmp input[name='qid']").val(qid);
    $("#formatmp input[name='aid']").val(aid);
    $("#formatmp input[name='type']").val(type);
    var cookiepass = $("input[name='cookiepass']").val();

    // 追加情報
    var sAddData = "";
    sAddData = '<div class="adataPass">';
    sAddData = sAddData + '質問時のパスワードを入力してください。<br />';
    sAddData = sAddData + '<div class="passanschkmsg"></div>';
    sAddData = sAddData + '<input type="password" name="anspass" value="'+ cookiepass +'" /><br />';
    sAddData = sAddData + '<input type="button" onclick="chkPassAns();return false;" value="　OK　" />';
    sAddData = sAddData + '<input type="button" onclick="chkPassAnsClose();return false;" value="キャンセル" />';
    sAddData = sAddData + '</div>';

    // 追加箇所
    var elDiv = $(objClick).parents('div:first');
    elDiv.append(sAddData);
}

// 質問認証（回答欄非表示）
function chkPassAnsClose()
{
    // 入力項目を表示
    $(".adataPass").each(function() {
        $(".adataPass").remove();
    });
}

// 質問認証（回答処理）
function chkPassAns()
{
    // hiddenに値から取得
    qid  = $("#formatmp input[name='qid']").val();
    aid  = $("#formatmp input[name='aid']").val();
    type = $("#formatmp input[name='type']").val();
    pass = $("input[name='anspass']").val();

    // URL
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    $.ajax({
        type : "post",
        dataType : "xml",
        url: base_url,
        timeout: 30000 ,
        data: {
            "qid": qid,
            "aid": aid,
            "type": type,
            "module": "qa",
            "action": "ajax_chkpass",
            "pass": pass
        },
        success: ok_ans_pass,
        error  : ng_pass
    });
}

// 成功
function ok_ans_pass(data){
    // 成功失敗を取得
    var ret = $('status', data).text();
    var qid = $('qid', data).text();
    var aid = $('aid', data).text();
    var type = $('type', data).text();
    var pass = $('pass', data).text();
    if (ret == "ok") {
        if (type == "1") {
            $("#formcls_ input[name='qid']").val(qid);
            $("#formcls_ input[name='pass']").val(pass);
            $('#formcls_')[0].submit();
        }
        else if (type == "2") {
            $("#formsupple_ input[name='qid']").val(qid);
            $("#formsupple_ input[name='aid']").val(aid);
            $("#formsupple_ input[name='pass']").val(pass);
            $('#formsupple_')[0].submit();
        }
        else if (type == "3") {
            $("#formthx_ input[name='qid']").val(qid);
            $("#formthx_ input[name='aid']").val(aid);
            $("#formthx_ input[name='pass']").val(pass);
            $('#formthx_')[0].submit();
        }
        else if (type == "4") {
            $("#formdel_ input[name='qid']").val(qid);
            $("#formdel_ input[name='pass']").val(pass);
            $('#formdel_')[0].submit();
        }
    }
    else {
        var sMsg = 'パスワードが不正です。';
        $('.passanschkmsg').html('<span>' + sMsg + '</span>');
    }
};
