//
// don't forget to read common.js file before reading this source code.
//

$(document).ready(function() {

    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // get waiting aprvlist to display
    TargetChangeAprv('');

    // call back function for updating waiting aprvlist to approve
    function update_waiting_aprvlist(data){
        $('#waiting_aprvlist_inprogress').css( 'display', 'none' );
        $('#waiting_aprvlist_done').css( 'display', 'block' );
        $('#waiting_aprvlist_done').append( data );
    };
    // call back function for updating waiting aprvlist to approve error handler
    function update_aprvlist_error( XMLHttpRequest, status, errorThrown ){
        $('#waiting_aprvlist_inprogress').css( 'display', 'none' );
        $('#waiting_aprvlist_done').css( 'display', 'block' );
        var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
        $('#waiting_aprvlist_done').append( disp_string );
    };
});

function TargetChangeAprv(_page)
{
    $('#waiting_aprvlist_inprogress').css( 'display', 'block' );

    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // get waiting aprvlist to display
    $.ajax({
      url: base_url + '?module=aprv&action=ajax_getAprvList',
      data:{
          "p": _page,
          "sflg": $("select#sflg").val()
      },
      timeout: 30000 ,
      success: update_waiting_aprvlist ,
      error  : update_aprvlist_error
    });

    // call back function for updating waiting aprvlist to approve
    function update_waiting_aprvlist(data){
        $('#waiting_aprvlist_done').empty();
        $('#waiting_aprvlist_inprogress').css( 'display', 'none' );
        $('#waiting_aprvlist_done').css( 'display', 'block' );
        $('#waiting_aprvlist_done').append( data );
    };
    // call back function for updating waiting aprvlist to approve
    function update_aprvlist_error( XMLHttpRequest, status, errorThrown ){
        $('#waiting_aprvlist_done').empty();
        $('#waiting_aprvlist_inprogress').css( 'display', 'none' );
        $('#waiting_aprvlist_done').css( 'display', 'block' );
        var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
        $('#waiting_aprvlist_done').append( disp_string );
    };
}
