//
// don't forget to read common.js file before reading this source code.
//

function load_bookmark_list(base_url) {
    // get bookmark list to display
    $.ajax({
        url: base_url,
        timeout: 30000 ,
        beforeSend:
            function (XMLHttpRequest) {
                $('#bookmark_list_inprogress').css('display', 'block');
            },
        success:
            function (response) {
                if (response.length > 1) {
                    $('#bookmark_list_inprogress').css('display', 'none');
                    $('#bookmark_list_done').empty();
                    $('#bookmark_list_done').css('display', 'block');
                    $('#bookmark_list_done').html(response);
                    $(function(){
                        $("#bookmark_list_done .pagelink").click(function(){
                            load_bookmark_list(this.href);
                            return false;
                        });
                    });
                }
            },
        error:
            function (XMLHttpRequest, status, errorThrown) {
                //XMLHttpRequest; // XMLHttpRequestIuWFNg
                //status; // status ́ANGXgʂ\
                //errorThrown; // errorThrown ́AOIuWFNg
                $('#bookmark_list_inprogress').css('display', 'none');
                $('#bookmark_list_done').empty();
                $('#bookmark_list_done').css('display', 'block');
                var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
                $('#bookmark_list_done').append( disp_string );
           }
    });

}
