//
// don't forget to read common.js file before reading this source code.
//

$(document).ready(function() {

    var base_url;
    base_url = $('#base_dir')[0].innerHTML + 'index.php';

    // get recent questions to display
    load_my_question_list(base_url + '?module=myque&action=ajax_getMyQuestionList');

});

function load_my_question_list(base_url) {

    // get recent questions to display
    $.ajax({
        url: base_url,
        timeout: 30000 ,
        beforeSend:
            function (XMLHttpRequest) {
                $('#top #my_question_list_inprogress').css('display', 'block');
            },
        success:
            function (response) {
                if (response.length > 1) {
                    $('#top #my_question_list_inprogress').css('display', 'none');
                    $('#top #my_question_list_done').empty();
                    $('#top #my_question_list_done').css('display', 'block');
                    $('#top #my_question_list_done').html(response);
                    $(function(){
                        $("#my_question_list_done .pagelink").click(function(){
                            load_my_question_list(this.href);
                            return false;
                        });
                    });
                }
            },
        error:
            function (XMLHttpRequest, status, errorThrown) {
                //XMLHttpRequest; // XMLHttpRequestオブジェクト
                //status; // status は、リクエスト結果を表す文字列
                //errorThrown; // errorThrown は、例外オブジェクト
                $('#top #my_question_list_inprogress').css('display', 'none');
                $('#top #my_question_list_done').empty();
                $('#top #my_question_list_done').css('display', 'block');
                var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
                $('#top #my_question_list_done').append( disp_string );
           }
    });

}
