//
// don't forget to read common.js file before reading this source code.
//

function RatingQA(_qid, _cky)
{
    var base_url;
    base_url = $('#base_dir')[0].innerHTML + 'index.php';

    // raiting qa
    $.ajax({
        url    : base_url + '?module=qa&action=ajax_modqado&qid=' + _qid + '&cky=' + _cky ,
        timeout: 30000 ,
        success: wid_update_data_count ,
        error  : wid_datacount_error
    });

    // call back function for raiting qa
    function wid_update_data_count(data){
        $('#qa_rating_cnt').empty();
        $('#qa_rating_btn').css( 'display', 'none' );
        $('#qa_rating_cnt').append( data );
    };

    // call back function for raiting qa error handler
    function wid_datacount_error( XMLHttpRequest, status, errorThrown ){
        $('#qa_rating_cnt').empty();
        $('#qa_rating_btn').css( 'display', 'none' );
        var disp_string = gf_getAjaxErrorString( XMLHttpRequest, status );
        $('#qa_rating_cnt').append( disp_string );
    };
}

function RatingAnswer(_qid, _aid, _cky)
{
    var base_url;
    base_url = $('#base_dir')[0].innerHTML + 'index.php';

    // raiting answer
    $.ajax({
        url    : base_url + '?module=qa&action=ajax_modado&qid=' + _qid + '&aid=' + _aid + '&cky=' + _cky ,
        timeout: 30000 ,
        success: wid_update_data_count ,
        error  : wid_datacount_error
    });

    // call back function for raiting answer
    function wid_update_data_count(data){
        $('#a_rating_cnt_' + _aid).empty();
        $('#a_rating_btn_' + _aid).css( 'display', 'none' );
        $('#a_rating_cnt_' + _aid).append( data );
    };

    // call back function for raiting answer error handler
    function wid_datacount_error( XMLHttpRequest, status, errorThrown ){
        $('#a_rating_cnt_' + _aid).empty();
        $('#a_rating_btn_' + _aid).css( 'display', 'none' );
        var disp_string = gf_getAjaxErrorString( XMLHttpRequest, status );
        $('#a_rating_cnt_' + _aid).append( disp_string );
    };
}
