//
// don't forget to read widget_func file before reading this source code.
//
$(function(){

    // click recent_tab event
    $('#recent_tab').click(function(){
        if ($('input[name=init]').val() != '1' && $('#list_01').css('display') == 'block')
            return false;
        clear_tab('#recent');
        clear_tab('#useful');
        clear_tab('#view');
        activate_tab('#recent');
        change_list(1, '#list');
    });
    // click useful_tab event
    $('#useful_tab').click(function(){
        if ($('#list_02').css('display') == 'block')
            return false;
        clear_tab('#recent');
        clear_tab('#useful');
        clear_tab('#view');
        activate_tab('#useful');
        change_list(2, '#list');
    });
    // click popular_tab event
    $('#view_tab').click(function(){
        if ($('#list_03').css('display') == 'block')
            return false;
        clear_tab('#recent');
        clear_tab('#useful');
        clear_tab('#view');
        activate_tab('#view');
        change_list(3, '#list');
    });

    // inactivate tab
    function clear_tab( tab_name ) {
        if($(tab_name + '_l').hasClass('tab_on_l')) {
            $(tab_name + '_l').removeClass('tab_on_l');
            $(tab_name + '_c').removeClass('tab_on_c');
            $(tab_name + '_r').removeClass('tab_on_r');
            $(tab_name + '_l').addClass('tab_off_l');
            $(tab_name + '_c').addClass('tab_off_c');
            $(tab_name + '_r').addClass('tab_off_r');
        }
    };
    // activate clicked tab
    function activate_tab( tab_name ) {
        if($(tab_name + '_l').hasClass('tab_off_l')) {
            $(tab_name + '_l').removeClass('tab_off_l');
            $(tab_name + '_c').removeClass('tab_off_c');
            $(tab_name + '_r').removeClass('tab_off_r');
            $(tab_name + '_l').addClass('tab_on_l');
            $(tab_name + '_c').addClass('tab_on_c');
            $(tab_name + '_r').addClass('tab_on_r');
        }
    }
    // display client rect of active tab
    function change_list(disp_id, tab_name){
        var disp1, disp2, disp3;
        switch (disp_id) {
            case 1:
                disp1 = 'block';
                disp2 = 'none';
                disp3 = 'none';
                break;
            case 2:
                disp1 = 'none';
                disp2 = 'block';
                disp3 = 'none';
                break;
            case 3:
                disp1 = 'none';
                disp2 = 'none';
                disp3 = 'block';
                break;
            default:
                disp1 = 'block';
                disp2 = 'none';
                disp3 = 'none';
                break;
        }
        // have to change this function if the number of tabs changed
        $(tab_name + '_01').css( 'display', disp1 );
        $(tab_name + '_02').css( 'display', disp2 );
        $(tab_name + '_03').css( 'display', disp3 );

        load_list_tabs();
    };
});

$(document).ready(function() {

    if ($('input[name=init]').val() == '1') {
        switch ($('input[name=stype]').val()) {
           case 'recent':
               $('#recent_tab').click();
               break;
           case 'useful':
               $('#useful_tab').click();
               break;
           case 'view':
               $('#view_tab').click();
               break;
        }
        $('input[name=init]').val('');
    }
    else {
        load_list_tabs();
    }

    $(function(){
        $("select#open_flg").change(function(){
            load_list_tabs();
        });
        $("a#rss").click(function(){
            var base_url = $('#base_dir')[0].innerHTML + 'index.php';
            var param_url = '';
            if ($('#list_01').css('display') == 'block') {
                param_url = '?module=rss&action=rss&feed=0&qtype=0';
            }
            else if ($('#list_02').css('display') == 'block') {
                param_url = '?module=rss&action=rss&feed=0&qtype=1';
            }
            else if ($('#list_03').css('display') == 'block') {
                param_url = '?module=rss&action=rss&feed=0&qtype=2';
            }
            param_url.length > 0 ? window.open(base_url+param_url, '') : false;

            return false;
        });
    });
});
