$(document).ready(function() {
    is_alive = $('#search-form');
    if( is_alive != undefined && is_alive.length != 0 ) {
        // set default active tab
        clear_toptab('#search');
        clear_toptab('#ask');
        activate_toptab( '#search' );
        change_toplist(1, '#toptab');

    }

    // click search_tab event
    $('#search_tab').click(function(){
        clear_toptab('#search');
        clear_toptab('#ask');
        activate_toptab( '#search' );
        change_toplist(1, '#toptab');
    });

    // click ask_tab event
    $('#ask_tab').click(function(){
        clear_toptab('#search');
        clear_toptab('#ask');
        activate_toptab( '#ask' );
        change_toplist(2, '#toptab');
    });

    // click search button
    $("input[name=btn_search]").click(function(){
        $('#srchkeywordmsg').hide();
        var iLen    = $('#keyword').val().length;
        var iMaxLen = $('#srchkeywordlen')[0].innerHTML;
        iMaxLen  = parseInt(iMaxLen,10);
        if (iLen > iMaxLen) {
            $('#srchkeywordmsg').show();
        }
        else {
            var enc = encodeURIComponent;
            window.document.location.href = $('#base_dir')[0].innerHTML + 'index.php?module=srch&action=srchlist&stype=keyword&keyword='+enc($('#keyword').val());
        }
        return false;
    });

    // click question button
    $("input[name=btn_question]").click(function(){
        $('#quswordmsg').hide();
        var iLen    = $('#question_text').val().length;
        var iMaxLen = $('#quswordlen')[0].innerHTML;
        iMaxLen  = parseInt(iMaxLen,10);
        if (iLen > iMaxLen) {
            $('#quswordmsg').show();
        }
        else {
            var enc = encodeURIComponent;
            window.document.location.href = $('#base_dir')[0].innerHTML + 'index.php?module=que&action=queadd&fields[question_text]='+enc($('#question_text').val());
        }
        return false;
    });


    // inactivate tab
    function clear_toptab( tab_name ) {
        if($(tab_name + '_l').hasClass('tab_on_l')) {
            $(tab_name + '_l').removeClass('tab_on_l');
            $(tab_name + '_c').removeClass('tab_on_c');
            $(tab_name + '_r').removeClass('tab_on_r');
            $(tab_name + '_l').addClass('tab_off_l');
            $(tab_name + '_c').addClass('tab_off_c');
            $(tab_name + '_r').addClass('tab_off_r');
        }
    };
    // activate clicked tab
    function activate_toptab( tab_name ) {
        if($(tab_name + '_l').hasClass('tab_off_l')) {
            $(tab_name + '_l').removeClass('tab_off_l');
            $(tab_name + '_c').removeClass('tab_off_c');
            $(tab_name + '_r').removeClass('tab_off_r');
            $(tab_name + '_l').addClass('tab_on_l');
            $(tab_name + '_c').addClass('tab_on_c');
            $(tab_name + '_r').addClass('tab_on_r');
        }
    };
    // display client rect of active tab
    function change_toplist(disp_id, tab_name){
        var disp1, disp2, disp3;
        switch (disp_id ) {
            case 1:
                disp1 = 'block';
                disp2 = 'none';
                break;
            case 2:
                disp1 = 'none';
                disp2 = 'block';
                break;
            default:
                disp1 = 'block';
                disp2 = 'none';
                break;
        }
        // have to change this function if the number of tabs changed
        $(tab_name + '_01').css( 'display', disp1 );
        $(tab_name + '_02').css( 'display', disp2 );
    };
});
