/**
 * グラフポップアップを開く
 * 
 * @param  dir   サブディレクトリ
 * @param  index インデックス
 * @param  sgp   選択グループ
 * @param  selkd 表示種類
 * 
 */
function qapopup(dir,index,id,date){

    var s_id   = '';
    var s_date = '';

    if( id != '' ){
        s_id   = '&id='+id;
    }
    if( date != '' ){
        s_date = '&sdate[Year]='+date;
    }

    uri = dir+index+'?module=Default&action=analysisqapop'+s_id+s_date;
    newWin = window.open( uri,
                          'graph',
                          'width=350,height=320,location=0,resizable=yes,scrollbars=no,status=no,left=30,top=30');
    newWin.focus();
    return;
}

/**
 * グラフポップアップを開く
 * 
 * @param  dir      サブディレクトリ
 * @param  index    インデックス
 * @param  id       対象ID
 * @param  year     対象年
 * @param  month    対象月
 * @param  width    ウィンドウ横幅
 * @param  height   ウィンドウ縦幅
 * 
 */
function grphpopup(dir,index, id, year, month, slev, width, height){

    var s_id    = '';
    var s_year  = '';
    var s_month = '';
    var s_slev  = '';

    if( id != '' ){
        s_id    = '&id='+id;
    }
    if( year != '' ){
        s_year  = '&sdate[Year]='+year;
    }
    if( month != '' ){
        s_month = '&sdate[Month]='+month;
    }
    if( slev != '' ){
        s_slev  = '&slev='+slev;
    }

    uri = dir+index+'?module=Default&action=analysisgrphpop'+s_id+s_year+s_month+s_slev;
    newWin = window.open( uri,
                          'graph',
                          'width='+width+',height='+height+',location=0,resizable=yes,scrollbars=no,status=no,left=30,top=30');
    newWin.focus();
    return;
}

