tinyMCEPopup.requireLangPack();
var sImagePath   = 'images/emoji/',
    sImageSuffix = '.gif',
    sUri         = tinyMCEPopup.editor.documentBaseURI.toAbsolute(),
    sId          = '';

var NeoEmojiDialog = {
	init : function(ed) {
        dom = ed.dom;
		tinyMCEPopup.resizeToInnerSize();

        $('span[class="img_emoji"]').each(function() {
            sId = $(this).attr('id').substr(4, 2);

            $(this).html(dom.createHTML('img', {
                    src : sUri + sImagePath + sId + sImageSuffix,
                    alt : ed.getLang('neoemoji_dlg.' + sId),
                    title : ed.getLang('neoemoji_dlg.' + sId),
                    border : 0
            }));
        });

	},

	insert : function(file, title) {
		var ed = tinyMCEPopup.editor, dom = ed.dom;

		tinyMCEPopup.execCommand('mceInsertContent', false, dom.createHTML('img', {
			src : sImagePath + file,
			alt : ed.getLang(title),
			title : ed.getLang(title),
			border : 0
		}));

        if (tinymce.isIE) {
            tinyMCEPopup.storeSelection();
        }
	}
};

tinyMCEPopup.onInit.add(NeoEmojiDialog.init, NeoEmojiDialog);
