(function() {
	tinymce.create('tinymce.plugins.NeoLiburaPlugin', {
		init : function(ed, url) {
			ed.addCommand('mceNeoLibura', function() {
				ed.windowManager.open({
					file : url + '/neolibura.html',
					width : 510 + ed.getLang('neolibura.delta_width', 0),
					height : 400 + ed.getLang('neolibura.delta_height', 0),
                    resizable : true,
                    maximizable : true,
                    scrollbars : 1,
                    inline : 1
				}, {
					plugin_url : url,
                    libura_api_url : rte_options.libura_api_url,
                    save_limit_time : rte_options.save_limit_time,
                    save_pass : rte_options.save_pass,
                    rte_neolibura_cky : rte_options.rte_neolibura_cky
				});
			});

			ed.addButton('neolibura', {
				title : 'neolibura.libura_desc',
				cmd : 'mceNeoLibura'
			});
		},

		getInfo : function() {
			return {
				longname : 'NeoLibura plugin',
				author : 'NEOJAPAN,Inc.',
				authorurl : 'http://www.neo.co.jp/',
				infourl : '',
				version : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('neolibura', tinymce.plugins.NeoLiburaPlugin);
})();