<?php
//--------------------------------------------------------------------------
//--                                                                      --
//--    FILE NAME : MojaviIntSmartyMailer.class.php                       --
//--                                                                      --
//--        Designed by NEOJAPAN    2005-11-28   Ver. 1.00                --
//--        Coded    by NEOJAPAN    2005-11-28   Ver. 1.00                --
//--        Reviced  by XXXXXXXX    XXXX-XX-XX   Ver. 1.00                --
//--                                                                      --
//--------------------------------------------------------------------------
//--   (C)COPYRIGHT 2005 BY NeoJapan CORPORATION ALL RIGHT RESERVED       --
//--------------------------------------------------------------------------

//--------------------------------------------------------------------------
// 󥯥롼
//--------------------------------------------------------------------------
require_once(OPT_DIR . 'mail' . DIRECTORY_SEPARATOR . 'IntSmartyMailer.class.php');

//--------------------------------------------------------------------------
// 
//--------------------------------------------------------------------------

//--------------------------------------------------------------------------
// 饹
//--------------------------------------------------------------------------
//--------------------------------------------------------------------------
//--    饹 : MojaviIntSmartyMailer                                    --
//--    Class  : MojaviIntSmartyMailer                                    --
//--------------------------------------------------------------------------
//--    MODIFIED        YYYY-MM-DD REV    - NOTES                         --
//--    NEOJAPAN        2005-11-28 1.00   - CREATE NEW                    --
//--------------------------------------------------------------------------
/**
 * mojavi,intsmartyȤ߹碌Υ᡼륯饹
 *    :
 *    : php4.3.x侩
 */
class MojaviIntSmartyMailer extends IntSmartyMailer
{
    //--------------------------------------------------------------------------
    // 󥹥ȥ饯
    //--------------------------------------------------------------------------
    /**
     *
     * @param  string  $lang   [IN]:쥳
     * @param  string  $module [IN]:⥸塼̾
     */
    function MojaviIntSmartyMailer($lang = SMARTY_DEFAULT_LANG, $module = DEFAULT_MODULE)
    {
        $this->IntSmartyMailer($lang);

        // 
        $this->intSmarty->cache_dir     = SMARTY_CACHE_DIR . $module . DIRECTORY_SEPARATOR;
        $this->intSmarty->plugins_dir   = array('plugins', APP_SMARTY_PLUGIN_DIR);
        $this->intSmarty->compile_dir   = SMARTY_COMPILE_DIR . $module . DIRECTORY_SEPARATOR;
        $this->intSmarty->config_dir    = MODULE_DIR . $module . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR;
        $this->intSmarty->compiler_file = SMARTY_DIR . $this->intSmarty->compiler_file;
        $this->intSmarty->force_compile = SMARTY_FORCE_COMPILE;
        $this->intSmarty->debugging     = SMARTY_DEBUGGING;
        $this->intSmarty->lang_path     = MODULE_DIR . $module . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'messages_';
        $this->intSmarty->deflang_path  = PATH_I18N_DEFAULT_LANG . 'messages_';
        $this->intSmarty->default_lang  = SMARTY_DEFAULT_LANG;
        $this->intSmarty->template_dir  = MODULE_DIR . $module . DIRECTORY_SEPARATOR . 'templates' . DIRECTORY_SEPARATOR;
        $this->intSmarty->loadLanguageTable($lang);

        /*[ ǥ쥯ȥ꤬ʤк ]*/
        if(!is_dir($this->intSmarty->compile_dir)){
            mkdir($this->intSmarty->compile_dir);
        }
        if(!is_dir($this->intSmarty->cache_dir)){
            mkdir($this->intSmarty->cache_dir);
        }

        // Windows
        if (stristr(PHP_OS, 'win'))
        {
            $this->Host    = ini_get('SMTP');
        }
        // Windowsʳ
        else
        {
            $this->Sendmail = ini_get('sendmail_path');
            $this->From     = ini_get('sendmail_from');
        }

        // ¾᡼
        $this->Priority = 3;
        $this->CharSet = STR_MAIL_CHARSET;
        $this->SetLanguage($lang, OPT_DIR . 'mail' . DIRECTORY_SEPARATOR . 'phpmailer' . DIRECTORY_SEPARATOR . 'language' . DIRECTORY_SEPARATOR);
    }
}
?>