$(document).ready(function(){
    // コピーボタンを隠す
    $('#copyauth').css("display", "none");

    $(function(){
        $("select#lcategory").change(function(){
            lcategorySelect();
        });
        $("select#mcategory").change(function(){
            mcategorySelect();
        });
    });
    initSelect();
});

function initSelect() {
    /**
     * カテゴリーが読み込まれた後に行う
     * 
     * @param   {object}    data    データ
     */
    var onLoadCategory = function(data){
        var lcategory = $("#lcategory").get(0);
        var ix = 0;
        var index = 0;
        // カテゴリーの出力先列を初期化
        lcategory.options.length = 0;
        lcategory.options[ix++] = new Option("すべてのカテゴリ", "");
        if (data != null && typeof(data) != "undefined") {
            //[ カテゴリーをそれぞれ追加する。 ]
            $.each(data, function(){
                if ($("input[name=lparentid]").val() == this.category_id) {
                    index = ix;
                }
                lcategory.options[ix++] = new Option(this.category_name, this.category_id);
            });
        }
        lcategory.selectedIndex = index;
        lcategorySelect();
    };

    // 利用者の権限を取得
    var param_af = $('#af')[0].innerHTML;

    $.getJSON($('#base_dir')[0].innerHTML + "index.php?module=dialog&action=ajax_getCatlist&trf=1&trs=50&af="+param_af, '', onLoadCategory);
}

function lcategorySelect() {
    /**
     * カテゴリーが読み込まれた後に行う
     * 
     * @param   {object}    data    データ
     */
    var onLoadCategory = function(data){
        var mcategory = $("#mcategory").get(0);
        var ix = 0;
        var mparentid = "";
        var index = 0;
        // カテゴリーの出力先列を初期化
        mcategory.options.length = 0;
        mcategory.options[ix++] = new Option("すべてのカテゴリ", "");
        if (data != null && typeof(data) != "undefined") {
            //[ カテゴリーをそれぞれ追加する。 ]
            $.each(data, function(){
                if ($("input[name=mparentid]").val() == this.category_id) {
                    mparentid = this.category_id;
                    index = ix;
                }
                mcategory.options[ix++] = new Option(this.category_name, this.category_id);
            });
        }
        mcategory.selectedIndex = index;
        $("input[name=mparentid]").val(mparentid);
    };

    var id=$("#lcategory").val();
    $("input[name=lparentid]").val(id);
    if (id.length == 0) {
        // コピーボタンを隠す
        $('#copyauth').css("display", "none");

        onLoadCategory({});
    }
    else {
        // コピーボタンを表示する
        $('#copyauth').css("display", "block");

        // 利用者の権限を取得
        var param_af = $('#af')[0].innerHTML;

        $.getJSON($('#base_dir')[0].innerHTML + "index.php?module=dialog&action=ajax_getCatlist&chkad=1&trf=1&trs=50&af="+param_af, {id:id}, onLoadCategory);
    }
}

function mcategorySelect() {
    $("input[name=mparentid]").val($("#mcategory").val());
}
