//
// don't forget to read common.js file before reading this source code.
//

$(document).ready(function() {

    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // get waiting ansreqlist to display
    $.ajax({
      url: base_url +  '?module=ansreq&action=ajax_getAnsreqList',
      data: {
          "sflg": $("#sflg").val()
      },
      timeout: 30000 ,
      success: update_waiting_ansreqlist ,
      error  : update_ansreqlist_error
    });

    // call back function for updating waiting ansreqlist to approve
    function update_waiting_ansreqlist(data){
        $('#waiting_ansreqlist_inprogress').css( 'display', 'none' );
        $('#waiting_ansreqlist_done').css( 'display', 'block' );
        $('#waiting_ansreqlist_done').append( data );
    };
    // call back function for updating waiting ansreqlist to approve error handler
    function update_ansreqlist_error( XMLHttpRequest, status, errorThrown ){
        $('#waiting_ansreqlist_inprogress').css( 'display', 'none' );
        $('#waiting_ansreqlist_done').css( 'display', 'block' );
        var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
        $('#waiting_ansreqlist_done').append( disp_string );
    };
});

function TargetChangeAnsreq(_page)
{
    $('#waiting_ansreqlist_inprogress').css( 'display', 'block' );
//    $('#waiting_ansreqlist_done').css( 'display', 'none' );

    var el_flg = document.getElementById('sflg');

    for (idx = 0; idx < el_flg.options.length; idx++) {
        if (el_flg.options[idx].selected) {
            var sflg = el_flg.options[idx].value;
        }
    }

    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // get waiting ansreqlist to display
    $.ajax({
      url: base_url + '?module=ansreq&action=ajax_getAnsreqList&p=' + _page + '&sflg=' + sflg,
      timeout: 30000 ,
      success: update_waiting_ansreqlist ,
      error  : update_ansreqlist_error
    });

    // call back function for updating waiting ansreqlist to approve
    function update_waiting_ansreqlist(data){
        $('#waiting_ansreqlist_done').empty();
        $('#waiting_ansreqlist_inprogress').css( 'display', 'none' );
        $('#waiting_ansreqlist_done').css( 'display', 'block' );
        $('#waiting_ansreqlist_done').append( data );
    };
    // call back function for updating waiting ansreqlist to approve error handler
    function update_ansreqlist_error( XMLHttpRequest, status, errorThrown ){
        $('#waiting_ansreqlist_done').empty();
        $('#waiting_ansreqlist_inprogress').css( 'display', 'none' );
        $('#waiting_ansreqlist_done').css( 'display', 'block' );
        var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
        $('#waiting_ansreqlist_done').append( disp_string );
    };
}
