// 画面が読み終わったら、ファイルアップロードの処理を定義
$(document).ready(function() {
    $("#ajaxuploadform").ajaxForm({
        // 設定
        dataType: "xml",
        // 通信成功
        success: function (res, res_stat) {

            // ファイル名クリア
            $('#imageuptext').find("span:last").remove();
            $('#imageuptext').append(  '<span>' + '<input type=\"file\" name=\"file\" class=\"fileupinput\" />' + '</span>'  );

            // 成功失敗を取得
            var ret = $('status', res).text();
            var message = "";

            // 通信成功
            if (ret == 'ok') {

                // アップロード情報取得
                var sId = $('id', res).text();
                var sBaseName = $('basename', res).text();
                var sType = $('type', res).text();

                // 埋め込み文字列取得
                var sHiddenNameTag = '<span id=\"'+ sId +'name\">' + '<input type=\"hidden\" name=\"filelistname[' + sId + ']\" value=\"' + sBaseName + '\">' + '</span>';
                var sHiddenTypeTag = '<span id=\"'+ sId +'type\">' + '<input type=\"hidden\" name=\"filelisttype[' + sId + ']\" value=\"' + sType + '\">' + '</span>';

                // 各formに埋め込み
                $('#filelist').append(sHiddenNameTag);
                $('#filelist').append(sHiddenTypeTag);

                $('#uploadfilelist').append(sHiddenNameTag);
                $('#uploadfilelist').append(sHiddenTypeTag);

                $('#addfilelist').append(sHiddenNameTag);
                $('#addfilelist').append(sHiddenTypeTag);

                // 一覧読み直し
                $("#ajaxfileform").submit();

                message = $('message', res).text();
            }
            else{
                message = $('errormessage', res).text();
            }

            // 成功メッセージ追加
            $('#fileuplodemsg').find("span:last").remove();
            $('#fileuplodemsg').append( '<span>' + message + '<br /><br /></span>');
        },
        // 通信失敗
        error: function (xml, status, e) {

            // ファイル名クリア
            $('#imageuptext').find("span:last").remove();
            $('#imageuptext').append(  '<span>' + '<input type=\"file\" name=\"file\">' + '</span>'  );

            // エラーメッセージ埋め込み
            $('#fileuplodemsg').append(  "通信に失敗しました。"  );
        }
    });
});

// 画面が読み終わったら、ファイルアップロードの処理を定義
$(document).ready(function() {
    $("#ajaxfileform").ajaxForm({
        // 設定
        dataType: "html",
        // 通信成功
        success: function (res, res_stat) {
          $('#file_list').find("span:last").remove();
          $('#file_list').append( '<span>' + res + '</span>');
        },
        // 通信失敗
        error: function (xml, status, e) {
            $('#file_list').find("span:last").remove();
            $('#file_list').append( '<span>' + '通信に失敗しました。' + '</span>');
        }
    });
});
// 画面が読み終わったら、添付ファイルの一覧を取得
$(document).ready(function()
{
    $("#ajaxfileform").submit();
});
// アップロードファイル削除
function uploadFileDel(sId, sType, sName){

    // 仮ファイルの場合削除
    var sDelName =  sId + 'name';
    var sDelType =  sId + 'type';

    $('#' + sDelName).remove();
    $('#' + sDelType).remove();

    $('#' + sDelName).remove();
    $('#' + sDelType).remove();

    $('#' + sDelName).remove();
    $('#' + sDelType).remove();


    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    var aj_url = base_url + '?module=Default&action=ajax_delfile&delid='+ sId + '&delname=' + sName;

    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_delfile ,
        error  : ng_delfile
    });


    // 一覧読み直し
    $("#ajaxfileform").submit();
}
// アップロードファイル削除
function uploadDbFileDel(sId){

    var sDelIdTag = '<input type=\"hidden\" name=\"delupfile[]\" value=\"' + sId + '\">';

    // 各formに埋め込み
    $('#filelist').append(sDelIdTag);

    $('#uploadfilelist').append(sDelIdTag);

    $('#addfilelist').append(sDelIdTag);

    // 一覧読み直し
    $("#ajaxfileform").submit();
}
// Ajax処理成功
function ok_delfile(data){
    $('#fileuplodemsg').find("span:last").remove();
    $('#fileuplodemsg').append( '<span>' + '添付ファイルを削除しました。' + '<br /><br /></span>');
};
// Ajax処理失敗
function ng_delfile( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#product_info').append( disp_string );
};
// ファイルのpxをデフォルトに戻す
function clearFilePx(btnobj)
{
    // クリックされたボタンから親のTDを取得する。
    var elTd = $(btnobj).parents('td:first');
    // TD内からinputタグを取得
    var defimage_width = elTd.find('input[name="defimage_width"]').val();
    // TD内からinputタグを取得
    elTd.find('input[name="filewidth"]').val(defimage_width);
};

// ファイルの一覧からファイル情報埋め込み
function setFileEdit(btnobj, fileid, type, filename, qid, aid, position)
{
    // クリックされたボタンから親のTDを取得する。
    var elTable = $(btnobj).parents('table:first');

    // TD内からinputタグを取得
    var widthsize = elTable.find('input[name="filewidth"]').val();

    var img_flg    ="";
    var img_height ="";
    var img_width  ="";
    var text       ="";
    var imglink    ="";

    // inputタグが存在しない場合は画像でない。

    if (widthsize == null) {
        img_flg    = '&image=1';
    }
    else {

        // TD内からinputタグを取得
        var defimage_width = elTable.find('input[name="defimage_width"]').val();
        // TD内からinputタグを取得
        var defimage_height = elTable.find('input[name="defimage_height"]').val();

        // TD内からチェックボックスのチェックを取得
        imglink = elTable.find('input[name="imglink"]:checked').val();

        if (imglink == null) {
            imglink = "";
        }

        // INT変換
        widthsize       = Number(widthsize,10);
        defimage_width  = parseInt(defimage_width,10);
        defimage_height = parseInt(defimage_height,10);

        if (isNaN(widthsize) || widthsize <= 0) {
            alert("数字を入力してください。");
        }
        else {

            // 横のサイズから縦を計算
            var heightsize = defimage_height * widthsize / defimage_width;
            heightsize = parseInt(heightsize);
        }

        img_height = heightsize;
        img_width  = widthsize;
    }

    var img_src_add = '';
    if (qid != '') {
        img_src_add = '&qid=' + qid;
    }
    if (aid != '') {
        img_src_add = img_src_add + '&aid=' + aid;
    }

    var img_src = 'index.php?module=Default&action=GetFile' + img_src_add + '&id='+ fileid  + '&type='+ type  + '&name=' + encodeURIComponent(filename) + img_flg;

    img_src = tinymce.DOM.decode(img_src);

    var objEditor;
    objEditor = $('#form_').find('#body');

    if (widthsize == null) {
        text = tinymce.DOM.createHTML('img', {
            src : img_src,
            align : position,
            alt : filename
        });
    }
    else {
        text = tinymce.DOM.createHTML('img', {
            src : img_src,
            align : position,
            width : img_width,
            height : img_height,
            alt : filename
        });
    }

    // 画像のリンクを追加する？
    if (imglink != "" || img_flg != "") {
        var text = '<a href="index.php?module=Default&action=GetFile' + img_src_add + '&id='+ fileid  + '&type='+ type + '&name=' + encodeURIComponent(filename) + '" target="_blank">' + text + '</a>';
    }

    objEditor.tinymce().execCommand('mceInsertContent', false, text);
};
