//
// don't forget to read common.js file before reading this source code.
//

/* comment

$(function(){

    var base_url = $('#base_dir')[0].innerHTML + 'index.php';

    // click page event
    $('#news .list .paging a').click(function(){
        var page = this.innerHTML;

        // redraw list as appointed page
        $.ajax({
            url: base_url + '?module=news&action=newslist&ajx=1&p='+ page ,
            timeout: 30000 ,
            success: update_info_list ,
            error  : update_info_list_error
        });
    });

    // call back function for click page(redraw page)
    function update_info_list(data){
        $('#news #info_list').empty();
        $('#news #info_list').append(data);
    };

});
*/

// change page of list
function redraw_info_list( page ){
    var base_url = $('#base_dir')[0].innerHTML + 'index.php';
    // redraw list as appointed page
    $.ajax({
        url     : base_url + '?module=news&action=newslist&ajx=1&p='+ page ,
        timeout : 30000 ,
        success : update_info_list ,
        error   : update_info_list_error
    });
};

// call back function for click page(redraw page)
function update_info_list(data){
    $('#news #info_list').empty();
    $('#news #info_list').append(data);
};

// call back function for click page error handler
function update_info_list_error( XMLHttpRequest, status, errorThrown ){
    $('#news #info_list').empty();
    var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
    $('#news #info_list').append( disp_string );
};

