//
// don't forget to read widget_func file before reading this source code.
//
$(function(){

    // click recent_tab event
    $('#question_tab').click(function(){
        clear_tab('#chk_01');
        clear_tab('#chk_02');
        activate_tab('#chk_01');
        change_list(1, '#list');
    });
    // click useful_tab event
    $('#answer_tab').click(function(){
        clear_tab('#chk_01');
        clear_tab('#chk_02');
        activate_tab('#chk_02');
        change_list(2, '#list');
    });

    // inactivate tab
    function clear_tab( tab_name ) {
        if($(tab_name + '_l').hasClass('tab_on_l')) {
            $(tab_name + '_l').removeClass('tab_on_l');
            $(tab_name + '_c').removeClass('tab_on_c');
            $(tab_name + '_r').removeClass('tab_on_r');
            $(tab_name + '_l').addClass('tab_off_l');
            $(tab_name + '_c').addClass('tab_off_c');
            $(tab_name + '_r').addClass('tab_off_r');
        }
    };
    // activate clicked tab
    function activate_tab( tab_name ) {
        if($(tab_name + '_l').hasClass('tab_off_l')) {
            $(tab_name + '_l').removeClass('tab_off_l');
            $(tab_name + '_c').removeClass('tab_off_c');
            $(tab_name + '_r').removeClass('tab_off_r');
            $(tab_name + '_l').addClass('tab_on_l');
            $(tab_name + '_c').addClass('tab_on_c');
            $(tab_name + '_r').addClass('tab_on_r');
        }
    }
    // display client rect of active tab
    function change_list(disp_id, tab_name){
        var disp1, disp2;
        switch (disp_id) {
            case 1:
                disp1 = 'block';
                disp2 = 'none';
                break;
            case 2:
                disp1 = 'none';
                disp2 = 'block';
                break;
            default:
                disp1 = 'block';
                disp2 = 'none';
                break;
        }
        // have to change this function if the number of tabs changed
        $(tab_name + '_01').css( 'display', disp1 );
        $(tab_name + '_02').css( 'display', disp2 );
    };
});
