//
// don't forget to read common.js file before reading this source code.
//

function load_list_tabs() {

    var base_url;
    base_url = $('#base_dir')[0].innerHTML + 'index.php';

    // get recent questions to display
    if ($('#list_01').css('display') == 'block') {
        load_recent_question(base_url + '?module=srch&action=ajax_getRecentQuestion');
    }
    // get useful questions to display
    else if ($('#list_02').css('display') == 'block') {
       load_useful_question(base_url + '?module=srch&action=ajax_getUsefulQuestion');
    }
    // get popular questions to display
    else if ($('#list_03').css('display') == 'block') {
        load_popular_question(base_url + '?module=srch&action=ajax_getPopularQuestion');
    }

}

function load_recent_question(base_url) {
    // get recent questions to display
    $.ajax({
        url: base_url,
        timeout: 150000,
        data: {
            "keyword": $("input[name='keyword']").val(),
            "stype": $("input[name='stype']").val(),
            "targets[title]": $("input[name='targets[title]']").val(),
            "targets[q_detail]": $("input[name='targets[q_detail]']").val(),
            "targets[a_detail]": $("input[name='targets[a_detail]']").val(),
            "official_ans": $("input[name='official_ans']").val(),
            "targets[thank]": $("input[name='targets[thank]']").val(),
            "targets[supplement]": $("input[name='targets[supplement]']").val(),
            "targets[attach]": $("input[name='targets[attach]']").val(),
            "period": $("input[name='period']").val(),
            "from_date[Year]": $("input[name='from_date[Year]']").val(),
            "from_date[Month]": $("input[name='from_date[Month]']").val(),
            "from_date[Day]": $("input[name='from_date[Day]']").val(),
            "to_date[Year]": $("input[name='to_date[Year]']").val(),
            "to_date[Month]": $("input[name='to_date[Month]']").val(),
            "to_date[Day]": $("input[name='to_date[Day]']").val(),
            "cid": $("input[name='cid']").val(),
            "usernm": $("input[name='usernm']").val(),
            //"open_flg": $("input[name='open_flg']").val(),
            "open_flg": $("select#open_flg").val()
        },
        beforeSend:
            function (XMLHttpRequest) {
                $('#top #recent_question_inprogress').css('display', 'block');
            },
        success:
            function (response) {
                if (response.length > 1) {
                    $('#top #recent_question_inprogress').css('display', 'none');
                    $('#top #recent_question_done').empty();
                    $('#top #recent_question_done').css('display', 'block');
                    $('#top #recent_question_done').html(response);
                    $(function(){
                        $("#recent_question_done .pagelink").click(function(){
                            load_recent_question(this.href);
                            return false;
                        });
                    });
                }
            },
        error:
            function (XMLHttpRequest, status, errorThrown) {
                //this; // this ́Aw肵p[^̃nbV
                //XMLHttpRequest; // XMLHttpRequestIuWFNg
                //status; // status ́ANGXgʂ\
                //errorThrown; // errorThrown ́AOIuWFNg
                $('#top #recent_question_inprogress').css('display', 'none');
                $('#top #recent_question_done').empty();
                $('#top #recent_question_done').css('display', 'block');
                var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
                $('#top #recent_question_done').html( disp_string );
           }
    });

}

function load_useful_question(base_url) {

    // get useful questions to display
    $.ajax({
        url: base_url,
        timeout: 150000,
        data: {
            "keyword": $("input[name='keyword']").val(),
            "stype": $("input[name='stype']").val(),
            "targets[title]": $("input[name='targets[title]']").val(),
            "targets[q_detail]": $("input[name='targets[q_detail]']").val(),
            "targets[a_detail]": $("input[name='targets[a_detail]']").val(),
            "official_ans": $("input[name='official_ans']").val(),
            "targets[thank]": $("input[name='targets[thank]']").val(),
            "targets[supplement]": $("input[name='targets[supplement]']").val(),
            "targets[attach]": $("input[name='targets[attach]']").val(),
            "period": $("input[name='period']").val(),
            "from_date[Year]": $("input[name='from_date[Year]']").val(),
            "from_date[Month]": $("input[name='from_date[Month]']").val(),
            "from_date[Day]": $("input[name='from_date[Day]']").val(),
            "to_date[Year]": $("input[name='to_date[Year]']").val(),
            "to_date[Month]": $("input[name='to_date[Month]']").val(),
            "to_date[Day]": $("input[name='to_date[Day]']").val(),
            "cid": $("input[name='cid']").val(),
            "usernm": $("input[name='usernm']").val(),
            //"open_flg": $("input[name='open_flg']").val(),
            "open_flg": $("select#open_flg").val()
        },
        beforeSend:
            function (XMLHttpRequest) {
                $('#top #useful_question_inprogress').css('display', 'block');
            },
        success:
            function (response) {
                if (response.length > 1) {
                    $('#top #useful_question_inprogress').css('display', 'none');
                    $('#top #useful_question_done').empty();
                    $('#top #useful_question_done').css('display', 'block');
                    $('#top #useful_question_done').html(response);
                    $(function(){
                        $("#useful_question_done .pagelink").click(function(){
                            load_useful_question(this.href);
                            return false;
                        });
                    });
                }
            },
        error:
            function (XMLHttpRequest, status, errorThrown) {
                //this; // this ́Aw肵p[^̃nbV
                //XMLHttpRequest; // XMLHttpRequestIuWFNg
                //status; // status ́ANGXgʂ\
                //errorThrown; // errorThrown ́AOIuWFNg
                $('#top #useful_question_inprogress').css('display', 'none');
                $('#top #useful_question_done').empty();
                $('#top #useful_question_done').css('display', 'block');
                var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
                $('#top #useful_question_done').append( disp_string );
           }
    });

}

function load_popular_question(base_url) {

    // get popular questions to display
    $.ajax({
        url: base_url,
        timeout: 150000,
        data: {
            "keyword": $("input[name='keyword']").val(),
            "stype": $("input[name='stype']").val(),
            "targets[title]": $("input[name='targets[title]']").val(),
            "targets[q_detail]": $("input[name='targets[q_detail]']").val(),
            "targets[a_detail]": $("input[name='targets[a_detail]']").val(),
            "official_ans": $("input[name='official_ans']").val(),
            "targets[thank]": $("input[name='targets[thank]']").val(),
            "targets[supplement]": $("input[name='targets[supplement]']").val(),
            "targets[attach]": $("input[name='targets[attach]']").val(),
            "period": $("input[name='period']").val(),
            "from_date[Year]": $("input[name='from_date[Year]']").val(),
            "from_date[Month]": $("input[name='from_date[Month]']").val(),
            "from_date[Day]": $("input[name='from_date[Day]']").val(),
            "to_date[Year]": $("input[name='to_date[Year]']").val(),
            "to_date[Month]": $("input[name='to_date[Month]']").val(),
            "to_date[Day]": $("input[name='to_date[Day]']").val(),
            "cid": $("input[name='cid']").val(),
            "usernm": $("input[name='usernm']").val(),
            //"open_flg": $("input[name='open_flg']").val(),
            "open_flg": $("select#open_flg").val()
        },
        beforeSend:
            function (XMLHttpRequest) {
                $('#top #popular_question_inprogress').css('display', 'block');
            },
        success:
            function (response) {
                if (response.length > 1) {
                    $('#top #popular_question_inprogress').css( 'display', 'none' );
                    $('#top #popular_question_done').empty();
                    $('#top #popular_question_done').css( 'display', 'block' );
                    $('#top #popular_question_done').html( response );
                    $(function(){
                        $("#popular_question_done .pagelink").click(function(){
                            load_popular_question(this.href);
                            return false;
                        });
                    });
                }
            },
        error:
            function (XMLHttpRequest, status, errorThrown) {
                //this; // this ́Aw肵p[^̃nbV
                //XMLHttpRequest; // XMLHttpRequestIuWFNg
                //status; // status ́ANGXgʂ\
                //errorThrown; // errorThrown ́AOIuWFNg
                $('#top #popular_question_inprogress').css( 'display', 'none' );
                $('#top #popular_question_done').empty();
                $('#top #popular_question_done').css( 'display', 'block' );
                var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status );
                $('#top #popular_question_done').append( disp_string );
           }
    });

}
