(function() {

	tinymce.create('tinymce.plugins.NeoYoutubePlugin', {
		init : function(ed, url) {
			ed.addCommand('mceNeoYoutube', function() {
				ed.windowManager.open({
					file : url + '/neoyoutube.html',
					width : 520 + ed.getLang('neoyoutube.delta_width', 0),
					height : 500 + ed.getLang('neoyoutube.delta_height', 0),
					inline : 1,
                    scrollbars : 1
				}, {
					plugin_url : url
				});
			});

			ed.addButton('neoyoutube', {
				title : 'neoyoutube.youtube_desc',
				cmd : 'mceNeoYoutube'
			});
		},

		getInfo : function() {
			return {
				longname : 'NeoYoutube plugin',
				author : 'NEOJAPAN,Inc.',
				authorurl : 'http://www.neo.co.jp/',
				infourl : '',
				version : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('neoyoutube', tinymce.plugins.NeoYoutubePlugin);
})();